Foxit PDF SDK

Instance Methods | List of all members
FSTaggedPDF Class Reference
Inheritance diagram for FSTaggedPDF:

## Instance Methods
(NSString *) | - getFigureAlternateText:
| Get the alternate text of the figure. More...
(int) | - getFigureCount
| Get the count of figures in tagged document, excluding the decorative figures. More...
(int) | - getFigurePageIndex:
| Get the figure page index by the figure index. More...
(FSRectF *) | - getFigureRect:
| Get the rectangle of figure. More...
(id) | - initWithDoc:
| Constructor. More...
(id) | - initWithOther:
| Constructor, with another tagged PDF object. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...
(BOOL) | - setAsDecorativeFigure:
| Decorate the figure.The decorative figure can not set alternate text. More...
(void) | - setCallback:
| Set a callback object for tagged PDF. More...
(void) | - setFigureAlternateText:alternate_text:
| Set figure alternate text. More...
(FSProgressive *) | - startTagDocument:
| Start to auto tag the given PDF document with specified tagged settings. More...

## Detailed Description

This class represents settings for a tagged PDF document.The tagged PDF means that only tagging information for PDF structure here. Before using any class or methods in this module, please ensure Foxit PDF SDK has been initialized successfully by function FSLibrary::initialize:key: with a key including "Accessibility" module.

See also
  FSLibrary

## Method Documentation

## ◆ getFigureAlternateText:()

- (NSString *) getFigureAlternateText: |  | (int) | figure_index |

Get the alternate text of the figure.

The alternate text is the human-readable text, the PDF documents can be enhanced by providing alternate text for images, formulas, or other items that do not translate naturally into text. The function is only used for a tagged PDF document. Please call function FSPDFDoc::isTaggedPDF to check current PDF document whether is a tagged PDF document.

Parameters

  [in] | figure_index | The index of figure. Valid range: from 0 to (count-1). count is returned by function FSTaggedPDF::getFigureCount.

Returns
  The alternative descriptions text.

## ◆ getFigureCount()

- (int) getFigureCount |  |  |

Get the count of figures in tagged document, excluding the decorative figures.

The function is only used for a tagged PDF document. Please call function FSPDFDoc::isTaggedPDF to check current PDF document whether is a tagged PDF document.

Returns
  The count of figures.

## ◆ getFigurePageIndex:()

- (int) getFigurePageIndex: |  | (int) | figure_index |

Get the figure page index by the figure index.

The function is only used for a tagged PDF document. Please call function FSPDFDoc::isTaggedPDF to check current PDF document whether is a tagged PDF document.

Parameters

  [in] | figure_index | The index of figure. Valid range: from 0 to (count-1). count is returned by function FSTaggedPDF::getFigureCount.

Returns
  The page index. Valid value would starts from 0. If there is any error, this function will return -1.

## ◆ getFigureRect:()

- (FSRectF *) getFigureRect: |  | (int) | figure_index |

Get the rectangle of figure.

The function is only used for a tagged PDF document. Please call function FSPDFDoc::isTaggedPDF to check current PDF document whether is a tagged PDF document.

Parameters

  [in] | figure_index | The index of figure. Valid range: from 0 to (count-1). count is returned by function FSTaggedPDF::getFigureCount.

Returns
  The figure rectangle.If there is any error, this function will return an empty rectangle.

## ◆ initWithDoc:()

- (id) initWithDoc: |  | (FSPDFDoc*) | doc |

Constructor.

Parameters

  [in] | doc | A valid PDF document object to be tagged.

This constructor is to construct a tagged PDF object with default settings.

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSTaggedPDF*) | other |

Constructor, with another tagged PDF object.

Parameters

  [in] | other | Another tagged PDF object.

## ◆ isEmpty()

- (BOOL) isEmpty |  |  |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  YES means current object is empty, while NO means not.

## ◆ setAsDecorativeFigure:()

- (BOOL) setAsDecorativeFigure: |  | (int) | figure_index |

Decorate the figure.The decorative figure can not set alternate text.

The function is only used for a tagged PDF document. Please call function FSPDFDoc::isTaggedPDF to check current PDF document whether is a tagged PDF document.

Parameters

  [in] | figure_index | The index of figure. Valid range: from 0 to (count-1). count is returned by function FSTaggedPDF::getFigureCount.

Returns
  YES means decorate figure successed, while NO means not.

## ◆ setCallback:()

- (void) setCallback: |  | (id<FSTaggedPDFCallback>) | callback |

Set a callback object for tagged PDF.

If this function is not called, that means no callback will be used.

Parameters

  [in] | callback | A object which is implemented by user. User can change some information/data during tagged PDF document by this callback. Please ensure that the callback object keeps valid until the life-cycle of current tagged PDF object ends. If this is nil, that means to use default information/data.

Returns
  None.

## ◆ setFigureAlternateText:alternate_text:()

- (void) setFigureAlternateText: |  | (int) | figure_index
alternate_text: |  | (NSString *) | alternate_text

Set figure alternate text.

The alternate text is the human-readable text, the PDF documents can be enhanced by providing alternate text for images, formulas, or other items that do not translate naturally into text. The function is only used for a tagged PDF document. Please call function FSPDFDoc::isTaggedPDF to check current PDF document whether is a tagged PDF document.

Parameters

  [in] | figure_index | The index of figure. Valid range: from 0 to (count-1). count is returned by function FSTaggedPDF::getFigureCount.
  [in] | alternate_text | The alternative descriptions text.

Returns
  None.

## ◆ startTagDocument:()

- (FSProgressive *) startTagDocument: |  | (id<FSPauseCallback>) | pause |

Start to auto tag the given PDF document with specified tagged settings.

If user wants to get specific tag results when tagging document process, please refer to function FSTaggedPDF::setCallback: about callback function TaggedPDFCallback::Report.

Parameters

  [in] | pause | Pause object which decides if the auto tagging process needs to be paused. This can be nil which means not to pause during the tagging process. If this is not nil, it should be a valid pause object implemented by user. Default value: nil.

Returns
  A progressive object. Please check the rate of current progress by function FSProgressive::getRateOfProgress. If the rate is not 100 yet, call function FSProgressive::resume to continue the progress until the progress is finished.